package group

import (
	"fmt"

	"github.com/spf13/cobra"
)

var (
	// group subcommand arguments
	flagGroupName     string
	flagGroupType     string
	flagGroupIdNumber int
	flagGroupMembers  string

	validTypes []string = []string{"app", "unix"}
)

func init() {
	// register group subcommands
	GroupCmd.AddCommand(groupAddCmd, groupDeleteCmd)
}

// define group command
var GroupCmd = &cobra.Command{
	Use:   "group",
	Short: "Manage LDAP group resources",
	Long:  `Perform various LDAP operations on group resources.`,
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println("Metaunix.net LDAP tool, group command. Available subcommands are: add, delete")
	},
}
